Subject: bug#19328: [PATCH] Add mechanism to prompt about unsaved customizations

From: Cameron Desautels <[email-masked]>
Date: Tue, 9 Dec 2014 10:16:44 -0600

> On 2014-12-09, at 9:54 AM, Drew Adams <[email-masked]> wrote:
> 
> Why is this in etc/TODO?

If you're asking me in particular, I don't know. I just found it there
and thought I'd help out.

> This already exists, no?  I've been using this for years:
> 
> (add-hook 'kill-emacs-query-functions
>          (lambda ()
>            (condition-case nil
>                (customize-unsaved)
>              (error t))))

A named function is probably more suitable for an end user than an
arbitrary lambda, no?  Plus using error handling for control flow is
generally not considered a best practice, especially when it's as
broad in scope as `(condition-case nil ...)`.

-- 
Cameron Desautels <[email-masked]>